<?php

declare(strict_types=1);

namespace App\Domain\Reader\Domain\Model;

use App\Domain\Reader\Domain\ValueObject\PageNumber;

final readonly class PageContent
{
    public function __construct(
        private string $id,
        private PageNumber $pageNumber,
        private string $base64Content,
        private string $mimeType,
        private int $width,
        private int $height
    ) {
    }

    public function getId(): string
    {
        return $this->id;
    }

    public function getPageNumber(): PageNumber
    {
        return $this->pageNumber;
    }

    public function getBase64Content(): string
    {
        return $this->base64Content;
    }

    public function getMimeType(): string
    {
        return $this->mimeType;
    }

    public function getDimensions(): array
    {
        return [
            'width' => $this->width,
            'height' => $this->height,
        ];
    }
} 